#ifndef MSP_CORE_MUTEX_PRIVATE_H_
#define MSP_CORE_MUTEX_PRIVATE_H_

#ifdef WIN32
#include <windows.h>
#else
#include <pthread.h>
#endif
#include "mutex.h"

namespace Msp {

struct Mutex::Private
{
#ifdef WIN32
	CRITICAL_SECTION crit;
#else
	pthread_mutex_t mutex;
#endif
};

} // namespace Msp

#endif
